## icinga2 2.15.2

=== debian/changelog ===
icinga2 (2.15.2-1) unstable; urgency=medium

  * New upstream release.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Add myself to Uploaders.
  * Use debrebuild instead of reprotest.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Jan 2026 17:01:26 +0100
