=== debian/changelog ===
icinga2 (2.15.2+266.gebfb1105a-1769810614+ubuntu25.10) icinga; urgency=medium

  * Release 2.15.2+266.gebfb1105a-1769810614

 -- Icinga GmbH <info@icinga.com>  Fri, 30 Jan 2026 22:04:09 +0000
